Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6320 - tcp_wrappers doesn't like ALL:ALL in hosts.deny with no newline
Summary: tcp_wrappers doesn't like ALL:ALL in hosts.deny with no newline
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-25 04:29 UTC by bopol
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-25 04:29:28 UTC


Attachments (Terms of Use)

Description bopol 1999-10-25 04:29:28 UTC
in hosts.deny (i forget if it's the default, or if i added
it myself) i have

ALL:ALL[EOF]

so the line ends with EOF not end of line.  tcpd doesn't
like this and IGNORES it.  in the logs i get:

warning: /etc/hosts.deny, line 9: missing newline or line
too long

but then tcpd allows the connection through since it doesn't
think ALL:ALL is a good rule that should be applied.

tcpd should be fixed so that it accepts end of file as end
of a line.

Comment 1 Jeff Johnson 2000-07-27 20:23:08 UTC
tcp_wrappers already has a well defined parser, fix your file rather than the
program.


Note You need to log in before you can comment on or make changes to this bug.